Configuring MicroGate T1 X.25 Link Service

An X.25 (QLLC) link service enables you to connect SNA Server through public or private X.25 packet switching networks to host, peer, or downstream computers. For information about the correct settings to use for your X.25 link service, contact your network administrator.

The following items can be configured for a MicroGate X.25 Link Service:

Link Service Title

Select the edit control marked Service Title and type a title for the link service (maximum of 40 characters) that will be used to identify the link service. This title must be unique.

Adapter Selection

When installng a new MicroGate X.25 Link Service a new adapter name is created (MGSYNC_1, MGSYNC_2, etc.). This name is used to identify which hardware adapter will be used for this link service. Click on the Settings button next to the adapter selection control to set the hardware settings used by the selected adapter. These settings must match the hardware configuration of the installed adapter.

If the new link service needs to use an existing adapter definition (created when previously installing an instance of this link service type) then select the adapter from the Adapter drop down list.

Line Type

The Line Type determines how and when the link is activated. This setting will depend on the type of communications equipment used. Select the line type by clicking on the appropriate radio button.

Leased

Switched:Modem Stored Number

Switched:Manual Dial

X.25 Communication Parameters

Parameter	Default Value
Local X.25 Address	n/a
Default L3 Window Size	2
Default L3 Packet Size	128
L2 Window Size	7
T1 Timeout	30
N2 Retry Limit	10
Accept Reverse Charge	Off
Startup Restart	On
Incoming Filter	On
Outgoing SVC	n/a
Two-Way SVC	0001-0004
Incoming SVC	n/a
PVC	n/a
Encoding	NRZ

See also Guidelines for Assigning Channel Numbers


 MicroGate T1 Adapter Settings

This dialog box is used to select the MicroGate T1 Adapter settings. These settings determine which computer resources are used by the adapter and must match the configuration of the installed adapter. Any resources used by this adapter cannot be shared with other adapters so care must be taken during installation to avoid a resource conflict.

These settings include three items:

Input/Output Base Address

The computer communicates with the adapter using a range of hardware ports or registers. This setting determines where these registers are located. The MicroGate T1 adapter uses 16 bytes of I/O address space starting at the base address. If a base address of 300 (hexadecimal) is selected then the adapter will use the address range of 300 to 30F. Other adapters cannot use I/O addresses in this range.

Interrupt Level

This setting determines which interrupt level will be used by the adapter to request service from the computer.

DMA Level

This setting determines which DMA channel will be used by the adapter to transfer data directly to and from the computers memory.

When all adapter settings have been selected then click on the OK button.

Clicking on the Cancel button discards any selections.


Leased Line Type

This option is used for a dedicated telecommunications line. The line can be a point to point leased line or a multidrop leased line.


Switched:Modem Stored Number

This option is used with communications equipment that can store an outgoing number and setup a call using that number when the DTR (Data Terminal Ready) signal from the serial adapter is activated.


Switched:Manual Dial

This option is used when the phone number must be dialed manually with a handset. SNA Server will prompt the user when it is time to dial the number.


Local X.25 Address

An address containing 15 decimal digits, with no spaces seperating the digits. The final 3 digits of the address are used for routing between stations with the same 12-digit address. There is no default.


Default L3 Window Size

The maximum number of packets that can be sent to or received from a remote computer before an acknowledgement is required. This applies only to switched virtual circuit (SVC) connections.

The range is from 1 through 7. The default is 2.


Default L3 Packet Size

The maximum length of data in each packet sent to or received from the remote computer through SVCs. This value can be overridden by any value entered in the User Data or Facility Data fields in the X.25 setup dialog box in the SNA Server Administrator.

Allowed values are 64, 128, 256, and 512. The default value is 128.


L2 Window Size

The number of frames that SNA Server can send to the network without having to wait for an acknowledgement.

The range is from 1 through 7. The default is 7.


T1 Timeout

The time in tenths of a second, that the logical system should wait for the remote system to respond to a transmission before the local system tries again. Specify a time greater than that needed to relaying frames back and forth between local and remote systems.

The range is from 1 through 100 tenths of a second. The default is 30.


N2 Retry Limit

The number of times to attempt retransmitting data.

The range is from 1 through 100. The default is 10.


Accept Reverse Charge

Indicates whether SNA Server should accept an incoming call with reverse charge facility in the call packet.

The field is either on or off. The default if off.


Startup Restart

Indicates whether a startup should be performed each time the link is activated.

The field is either on or off. The default is on.


Incoming Filter

Determines if calls to X.25 addresses other than the local one are filtered out.

The field is either on or off. The default is on.


Outgoing SVC

This range of switched virtual circuit (SVC) channels is used for outgoing calls. Specify the smallest and largest numbers in the range, in format x-x. For example 0008-0009 is a valid entry.

For Outgoing SVC channels, specify numbers greater than any PVC, incoming SVC, or Two-Way SVC channels used by this link service. There is no default.


Two-Way SVC

The range of switched virtual circuit (SVC) channels that can be used for either incoming or outgoing calls. Specify the smallest and largest numbers in the range in the format: x-x. For example, 0006-0007 is a valid entry.

For the Two-Way SVC channels, specify numbers greater than any Incoming SVC channels but less than any Outgoing SVC channels used by this link service. The default is 0001-0004.


Incoming SVC

The range of switched virtual circuit channels (SVC) that can be used for incoming calls. Specify the smallest and largest numbers in the range in the format x-x. For example, 0004-0005.

For the Incoming SVC channels, specify numbers greater than any PVC channels but less than any Two-Way SVC channels used by this link service. There is no default.


PVC

Permanent Virtual Circuit. The range of PVC channels used by the computer on the X.25 network. Specify the smallest and largest numbers in the range in the format x-x. For example, 0001-0003 is a valid entry.

This range must be specified if a PVC connection uses this link service.

For the PVC channels, specify numbers less than any Incoming, Two-Way, or Outgoing SVC channels used by this link service. There is no default.


Encoding

The encoding scheme use for transmitting and receiving data. The local computer must use the same encoding scheme as the remote computer. When you connect to a host, your choice must match the option specified in the Line/Group macro.

The options are NRZ (nonreturn to zero) and NRZI (nonreturn to zero inverted). The default is NRZ.


Guidelines for Assigning Channel Numbers

When specifying channel numbers in the X.25 Link Service Configuration dialog box, remember that:

 ¤ 	Channels must range from 1 through 4096.The format for specifying channel numbers is x-x. For example, 0001-0004 is a valid entry for channel numbers.

 ¤ 	There is no requirement for the number of channels a particular switched virtual circuit (SVC) or permanent virtual circuit (PVC) type uses, but the total number of channels among all types must be from 1 through 16.

 ¤ 	Channel number ranges must be unique and must not overlap across different connection types.

 ¤ 	To accept incoming calls, your need at least one SVC incoming or SVC two-way channel.

 ¤ 	To configure more than one channel type, specify channel number values in ascending order:PVCs, incoming SVCs, two-way SVCs, and outgoing SVCs.

 ¤ 	PVCs do not need to start a channel 1, but they must be set for the lowest channel numbers in this link service.

 ¤ 	Outgoing SVCs do not need to end at channel 4096 but they must be set for the highest numbers in this link service.

Outgoing SVC

Two-Way SVC

Incoming SVC

PVC